How to Fix “WARNING: There was an error checking the latest version of pip.”

当前环境:macOS Big Sur 11.6.6 / python 2.7.16 + python 3.10.6

问题描述:
WARNING: There was an error checking the latest version of pip.
尝试:
$python -m pip install --upgrade pip
提示:
/System/Library/Frameworks/Python.framework/Versions/2.7/Resources/Python.app/Contents/MacOS/Python: No module named pip
尝试:
$ sudo python2.7 -m ensurepip --default-pip
问题解决:
Looking in links: /tmp/tmpJOurod
Requirement already satisfied: setuptools in /System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python (41.0.1)
Collecting pip
Installing collected packages: pip
Successfully installed pip-18.1
针对python3有以下提示:
You are using pip version 18.1, however version 20.3.4 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.

按提示要求进行了升级:
$ pip install --upgrade pip

发表评论

您的电子邮箱地址不会被公开。

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据